#!/usr/bin/env python
#
#       AUTHORS
#       Lachlan de Waard <lachlan.00@gmail.com>
#       Wolter Hellmund <wolterh6@gmail.com>
#       --------------------------------------
#       Configuration (gsettings) handler for Fileorganizer
#       --------------------------------------
#       Creative Commons - Attribution Share Alike v3.0

from gi.repository import Gio

# Gsettings locations for library and output paths
rhythmbox_rhythmdb = 'locations'
rhythmbox_library = {'layout-path', 'layout-filename'}


class FileorganizerConf():

    def __init__(self):
        self.rhythmdbsettings = Gio.Settings("org.gnome.rhythmbox.rhythmdb")
        self.librarysettings = Gio.Settings("org.gnome.rhythmbox.library")

    # Request value
    def get_val(self, key):
        keypath = None
        if key == rhythmbox_rhythmdb:
            return self.rhythmdbsettings[key]
        elif key in rhythmbox_library:
            return self.librarysettings[key]
        else:
            print 'Invalid key requested'
            return keypath
