#!/usr/bin/env python
#
#       AUTHORS
#       Lachlan de Waard <lachlan.00@gmail.com>
#       --------------------------------------
#       Fileorganizer log operations
#       --------------------------------------
#       Creative Commons - Attribution Share Alike v3.0

import os
import ConfigParser


class LogFile():

    def __init__(self):
        self.conf = ConfigParser.RawConfigParser()
        conffile = (os.getenv('HOME') + '/.local/share/rhythmbox/' +
                         'plugins/fileorganizer-gtk3/fo.conf')
        self.conf.read(conffile)

    # Write to log file
    def log_processing(self, logmessage):
        LOG_ENABLED = self.conf.get('conf', 'log_enabled')
        LOG_FILENAME = self.conf.get('conf', 'log_path')
        LOG_FILENAME = os.getenv('HOME') + '/' + LOG_FILENAME
        # Log if Enabled
        if LOG_ENABLED == 'True':
            # Create if missing
            if not os.path.exists(LOG_FILENAME) or (
                os.path.getsize(LOG_FILENAME) >= 1076072):
                FILE = open(LOG_FILENAME, "w")
                FILE.close()
            FILE = open(LOG_FILENAME, "a")
            logline = []
            logline.append(logmessage)
            FILE.write(("".join(logline)) + "\n")
            FILE.close()
