#!/usr/bin/env python
#
#       AUTHORS
#       Lachlan de Waard <lachlan.00@gmail.com>
#       Wolter Hellmund <wolterh6@gmail.com>
#       --------------------------------------
#       Fileorganizer tools
#       --------------------------------------
#       Creative Commons - Attribution Share Alike v3.0

import os

import fileops


# Create a folder if non-existant, and return it
def folderize(configurator, folder):
    dir = ((configurator.get_val('locations'))[0]
                                 + '/').replace('file:///', '/')
    if not os.path.exists(dir + folder):
        os.makedirs(dir + folder)
    return os.path.normpath(dir + folder)


# Replace the placeholders with the correct values
def data_filler(file, string):
    string = str(string)
    for key in fileops.RB_METATYPES:
        if ('%' + key) in string:
            if key == 'aa':
                artisttest = file.get_metadata('aa')
                if artisttest == '':
                    string = string.replace(('%' + key),
                                            process(file.get_metadata('ta')))
                    print string + ' ALBUM ARTIST NOT FOUND'
                else:
                    string = string.replace(('%' + key),
                                            process(file.get_metadata(key)))
                    print string + ' ALBUM ARTIST FOUND'
            else:
                string = string.replace(('%' + key),
                                        process(file.get_metadata(key)))
    return string


# Process names and replace any undesired characters
def process(string):
    # Prevent / character
    string = string.replace('/', '_')  # if present
    return string
